You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
35 lines
1.2 KiB
35 lines
1.2 KiB
From 6d6fc91c472fd84bd71a1b012fa9ab77bd94efea Mon Sep 17 00:00:00 2001
|
|
From: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20B=C3=A9rat?= <fberat@redhat.com>
|
|
Date: Mon, 12 Dec 2022 07:32:13 +0100
|
|
Subject: [PATCH] tests: depcomp: ensure make_ok() fails when run_make fails
|
|
|
|
While running automake tests with -std-gnu=c99, the compiler report
|
|
errors which lead to make to fail. Yet, these failures are ignored
|
|
during the tests, which considers them to be successful as stderror is
|
|
check for one specific pattern.
|
|
|
|
If make fails, investigation should be made to discover why, whatever
|
|
the reason for the failure is.
|
|
|
|
* t/ax/depcomp.sh: Make make_ok fail when make fails.
|
|
---
|
|
t/ax/depcomp.sh | 2 +-
|
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
|
|
|
diff --git a/t/ax/depcomp.sh b/t/ax/depcomp.sh
|
|
index 3c4db10e3..7a3ac63a7 100644
|
|
--- a/t/ax/depcomp.sh
|
|
+++ b/t/ax/depcomp.sh
|
|
@@ -160,7 +160,7 @@ case $depcomp_with_libtool in
|
|
echo lib_LTLIBRARIES = libfoo.la >> Makefile.am
|
|
make_ok ()
|
|
{
|
|
- run_make -M -- ${1+"$@"}
|
|
+ run_make -M -- ${1+"$@"} || return 1
|
|
$FGREP 'unknown directive' output && return 1
|
|
rm -f output
|
|
# Checks for stray files possibly left around by less common
|
|
--
|
|
2.39.1
|
|
|